跳轉到主要內容
GET
/
v2
/
redpacket
紅包 - 列表
curl --request GET \
  --url https://api.chainstream.io/v2/redpacket \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/redpacket"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/redpacket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasNextPage": true,
  "records": [
    {
      "creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "id": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "maxClaims": 10,
      "mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "totalAmount": "1000000000",
      "chain": "sol",
      "claimAuthority": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "claimedAmount": "500000000",
      "claimedCount": 5,
      "createdAt": 1717334400000,
      "expiration": 24,
      "expired": true,
      "expiredAt": 1717420800000,
      "memo": "Happy Red Packet",
      "refundedAmount": "0",
      "shareId": "abc123",
      "txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
    }
  ],
  "total": 123,
  "endCursor": "<string>",
  "startCursor": "<string>"
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查詢參數

cursor
string

分頁游標

limit
integer<int64>

每頁結果數量

direction
enum<string>
預設值:next

分頁方向 Pagination direction

可用選項:
next,
prev
creator
string

建立者錢包地址

chain
enum<string>

紅包所在的區塊鏈網路 Supported blockchain chains

可用選項:
sol,
eth,
bsc

回應

200 - application/json

成功回應

Paginated red packets response

hasNextPage
boolean
必填

是否有下一頁

records
object[]
必填

紅包列表

total
integer<int64>
必填

紅包總數

endCursor
string | null

目前頁結束游標

startCursor
string | null

目前頁起始游標